<?php
include_once("include/main.inc.php");
date_default_timezone_set('Asia/Kolkata');
$enq_date = date('Y-m-d H:i:s');
$admin_sql=mysqli_query($GLOBALS['dbconn'],
"select * from admin_details");
$admin_res=mysqli_fetch_array($admin_sql);
$referer = $_SERVER['HTTP_REFERER'];
$ip=$_SERVER['REMOTE_ADDR'];

if (isset($_POST['submit_enq']))
    {
      $name = !empty($_POST['name'])?$_POST['name']:'';
      $email = !empty($_POST['email'])?$_POST['email']:'';
      $mobileNumber = (!empty($_POST['mobile']))?$_POST['mobile']:'';
      $location = !empty($_POST['location'])?$_POST['location']:'';
      $message = !empty($_POST['message'])?$_POST['message']:'';
      $code = (!empty($_POST['code']))?$_POST['code']:'';
      $countryNames = (!empty($_POST['countryName']))?$_POST['countryName']:'';
      $countryName1= explode('(',$countryNames);
      $countryName=$countryName1[0];
      $code =$code!=''?$code:'91';
      $countryName= $countryName!=''?$countryName:'India';
      $mobileNumbers= '+'.$code.' - '.$mobileNumber;
      if(strpos($message,'#')!==false || strpos($message,'%')!==false || strpos($message,'@')!==false || strpos($message,'&')!==false || strpos($message,'~')!==false || strpos($message,'https')!==false || strpos($message,'http')!==false || strpos($message,'www')!==false || strpos($message,'?')!==false ||strpos($location,'#')!==false || strpos($location,'%')!==false || strpos($location,'@')!==false || strpos($location,'&')!==false || strpos($location,'~')!==false || strpos($location,'https')!==false || strpos($location,'http')!==false || strpos($location,'www')!==false || strpos($location,'?')!==false || strpos($name,'#')!==false || strpos($name,'%')!==false || strpos($name,'@')!==false || strpos($name,'&')!==false || strpos($name,'~')!==false || strpos($name,'https')!==false || strpos($name,'http')!==false || strpos($name,'www')!==false || strpos($name,'?')!==false){
          $resp = [
              'message_response' => 'URL(s) and special characters are not allowed',
              'status' => false
          ];
          echo json_encode($resp);
          exit;
      } else {   
          if($name != '' && $email != '' && $mobileNumber != '' && $location != '' && $message != ''  && $ip != '' ){
             if(isset($_POST['g-recaptcha-response']) && !empty($_POST['g-recaptcha-response'])) {
                 $secret = secret_key;
      $data = array( 'secret' => $secret, 'response' => $_POST['g-recaptcha-response'] ); $verify = curl_init(); curl_setopt($verify, CURLOPT_URL, "https://www.google.com/recaptcha/api/siteverify"); curl_setopt($verify, CURLOPT_POST, true); curl_setopt($verify, CURLOPT_POSTFIELDS, http_build_query($data)); curl_setopt($verify, CURLOPT_SSL_VERIFYPEER, false); curl_setopt($verify, CURLOPT_RETURNTRANSFER, true); $response = curl_exec($verify); //var_dump($response);
      $response = json_decode($response);
      if (!$response->success) {
          $resp = [
              'message_response' => 'Robot verification failed, please try again.',
              'status' => false
          ];
          echo json_encode($resp);
          exit;
      }	
      if($response->success) {
          $sql_ens="insert into tbl_enquiry set en_name='$name', en_email='$email', en_mobile='$mobileNumber',
          en_country='$location', en_comment='$message', en_url='$referer',en_zcode='$code',en_country_name='$countryName', en_date='$enq_date', en_ip='$ip'";
          $qry=mysqli_query($GLOBALS['dbconn'],
          $sql_ens);
          $mobileNumbers= '+'.$code.' - '.$mobileNumber;
          $subject = utf8_encode($admin_res['subject']);
          // $htmlContent = "
          // Customer Details:
          // Url: ".$referer."
          // Name: ".$name."
          // Email: ".$email."
          // Mobile: ".$mobileNumber."
          // Location:".$location."
          // Message: ".$message."
          // ";
           $htmlContent =  '<table border="0" width="100%">
      <tbody>
<tr>
  <td colspan="2">
    <strong>Dear Admin</strong></td>
</tr>
<tr>
  <td colspan="2">
    Enquiry Received with following info :</td>
</tr>
<tr>
  <td colspan="2">
    &nbsp;</td>
</tr>
<tr>
  <td width="26%">
    <strong>Post URL : </strong></td>
  <td>
    <span style="margin-top: 15px;">' . $referer . '</span></td>
</tr>
<tr>
  <td width="26%">
    <strong>Name : </strong></td>
  <td>
    <span style="margin-top: 15px;">' . $name . '</span></td>
</tr>
<tr>
  <td width="26%">
    <strong>Email Id : </strong></td>
  <td>
    <span style="margin-top: 15px;">' . $email . '</span></td>
</tr>
<tr>
  <td width="26%">
    <strong>Contact No : </strong></td>
  <td>
    <span style="margin-top: 15px;">' . $mobileNumbers . '</span></td>
</tr>
<tr>
<td>
  <strong>Country : </strong></td>
<td>
  <span style="margin-top: 15px;">' . $countryName . '</span></td>
</tr>
<tr>
  <td>
    <strong>Location : </strong></td>
  <td>
    <span style="margin-top: 15px;">' . $location . '</span></td>
</tr>
<tr>
  <td>
    <strong>Message : </strong></td>
  <td>
    <span style="margin-top: 15px;">' . $message . '</span></td>
</tr>
</tbody>
      </table>';

          $to = $admin_res['email'];
          $to2 = $admin_res['cc'];
          $to3 = 'webpulseindia@gmail.com';   

          // $to3 = 'developer.wpsrnc@gmail.com';

          $headers = 'From: '.'Webpulseindia.com'.' enquiry@webpulseindia.com' . "\r\n" .
          'Reply-To:  '.$name.'<'.$email.'>' . "\r\n" .
          'X-Mailer: PHP/' . phpversion();
           @mail($to,$subject,$htmlContent,$headers);
           @mail($to2,$subject,$htmlContent,$headers);
           @mail($to3,$subject,$htmlContent,$headers);
        if($to!='')
       {
       smtp_mailer($to, $email, $name, $subject, $htmlContent);
       }
       if($to2!='')
       {
       smtp_mailer($to2, $email, $name, $subject, $htmlContent);
       }
       smtp_mailer($to3, $email, $name, $subject, $htmlContent);
          $resp = [
              'message_response' => 'Thank you for your enquiry. Our team will contact you soon.',
              'status' => true
          ];
          echo json_encode($resp);
          exit;
      }	
  }
  else {
      $resp = [
          'message_response' => 'Please check the recaptcha box!',
          'status' => false
      ];
      echo json_encode($resp);
      exit;
 }
}
else {
  $resp = [
      'message_response' => 'All the fields are Mandatory!',
      'status' => false
  ];
  echo json_encode($resp);
  exit;
}
}
}
?>